iscsi_session_recovery_tmo_get(3)

NAME
iscsi_session_recovery_tmo_get - Retrieve recovery timeout value of specified session

SYNOPSIS
int32_t iscsi_session_recovery_tmo_get (struct iscsi_session *se);

ARGUMENTS

se  Pointer of 'struct iscsi_session'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the recovery timeout value of specified iSCSI session. The recovery timeout here means the seconds of time to wait for session re-establishment before failing SCSI commands back to the application when running the Linux SCSI Layer error handler. It could be controlled via this setting in iscsid.conf:

RETURN
int32_t. If the value is 0, IO will be failed immediately. If the value is less than 0, IO will remain queued until the session is logged back in, or until the user runs the logout command.